Bug 167446 - CAN-2005-2798 Improper GSSAPI credential delegation
CAN-2005-2798 Improper GSSAPI credential delegation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
http://bugzilla.mindrot.org/show_bug....
impact=moderate,reported=20050901,pub...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-02 13:54 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: openssh-4.2p1-fc4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-13 04:42:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-09-02 13:54:25 EDT
+++ This bug was initially created as a clone of Bug #167444 +++

destroy credentials if krb5_kuserok() call fails. Stops credentials being
delegated to users who are not authorised for GSSAPIAuthentication when
GSSAPIDeletegateCredentials=yes and another authentication mechanism succeeds;
Comment 1 Josh Bressers 2005-09-02 13:55:20 EDT
This issue may also affect FC3
Comment 2 Tomas Mraz 2005-09-07 12:24:19 EDT
FC3 packages fixed - openssh-3.9p1-8.0.3
FC4 packages upgraded to 4.2p1 - openssh-4.2p1-fc4.1 (in testing)

Note You need to log in before you can comment on or make changes to this bug.